#include <Arduino.h>
#include <Wire.h>
#include <radio.h>
#include <TEA5767.h>

#include "EasyNixie.h"    //Nixie library
#define OUT_EN 3   //connect Pin ArduinoUNO 3 to OUT_EN
#define SHCP   2   //connect Pin ArduinoUNO 2 to SHCP
#define STCP   6   //connect Pin ArduinoUNO 6 to STCP
#define DSIN   7   //connect Pin ArduinoUNO 7 to DSIN

/// The band that will be tuned by this sketch is FM.
#define FIX_BAND RADIO_BAND_FM
TEA5767 radio;    // Create an instance of Class for Si4703 Chip

EasyNixie en(OUT_EN,SHCP, STCP, DSIN); //Initialisation 'en' protocole

void setup() {
  // Initialize the Radio 
  radio.init();
  delay(200);

  pinMode(A3, INPUT);
  pinMode(A2, INPUT);

}
int FreQ2;

void loop()
{
   uint32_t F1=0, F2=0;
for(int i=0;i<100;i++){
    F1 +=analogRead(A3);
    F2 +=analogRead(A2);
}

uint32_t G1= F1/100*3.71;
uint32_t G2= F2/100*0.0977;
  
  int FreQ = 7000 + G1 + G2;
  Serial.println(FreQ);

if( FreQ != FreQ2){
    // HERE: adjust the frequency to a local sender
  radio.setBandFrequency(FIX_BAND, FreQ); // hr3 nearby Frankfurt in Germany
  radio.setVolume(2);
  radio.setMono(false);
  char s[12];
  radio.formatFrequency(s, sizeof(s));

    en.SetNixie(7,3,true);           
    en.SetNixie(5,3,true);           
    
           
    en.SetNixie((FreQ/10)%10,3,true);           
    en.SetNixie((FreQ/100)%10,3,true);           
    en.SetNixie((FreQ/1000)%10, 3,true);           
    en.SetNixie((FreQ/10000)%10,3,true);           
    en.Latch();      
    FreQ2 = FreQ;          
  }

}
